Loading...
Searching...
No Matches
Opm::EnergyExtensiveQuantities< TypeTag, true > Class Template Reference

Provides the quantities required to calculate energy fluxes. More...

`#include <energymodule.hh>`

## Public Member Functions

const Evaluation & | temperatureGradNormal () const
| The temperature gradient times the face normal [K m^2 / m].
const Evaluation & | thermalConductivity () const
| The total thermal conductivity at the face .

## Protected Member Functions

void | update_ (const ElementContext &elemCtx, unsigned faceIdx, unsigned timeIdx)
| Update the quantities required to calculate energy fluxes.
template<class Context, class FluidState>
void | updateBoundary_ (const Context &context, unsigned bfIdx, unsigned timeIdx, const FluidState &fs)

## Detailed Description

template<class TypeTag>
class Opm::EnergyExtensiveQuantities< TypeTag, true >

Provides the quantities required to calculate energy fluxes.

The documentation for this class was generated from the following file:

- opm/models/common/energymodule.hh